Subject: Re: [EDUC] Comment breveter un théorème ?
From: Christophe Demko <[email-masked]>
To: [email-masked]
Date: Thu, 01 May 2014 14:04:10 +0200
List-Id: <educ.april.org>

Le 01/05/2014 13:41, David Chemouil a écrit :
> Hello
>
> Le 01/05/2014 12:45, Louis-Maurice De Sousa a écrit :
>> Le 01/05/2014 11:59, Christophe Demko a écrit :
>>> Pour répondre stricto sensu à la question initiale, un théorème n'est
>>> pas brevetable (œuvre de l'esprit). Mais pour préciser les choses, est
>>> brevetable quelque chose qui utilise une loi physique de la nature pour
>>> un certain objectif (ex: le moteur à essence utilise l'explosion de la
>>> vapeur d'essence pour actionner un mécanisme). Donc, dans 99,99% des
>>> cas
>>> en algorithmique et en mathématique, les créations ne sont pas
>>> brevetables.
>
> Je disconviens respectueusement : les algorithmes et théorèmes ne sont
> pas des œuvres de l'esprit. En effet, ils appartiennent au "domaine
> des idées" et ça ne pourrait être que leur mise en forme qui serait
> sous droit d'auteur. En ce qui concerne les algorithmes, la mise en
> forme est par exemple : le code source d'un logiciel. Ça tombe bien,
> les logiciels sont effectivement "protégés" par le droit d'auteur, ce
> qui donne aux auteurs la possibilité de choisir des licences libres :-)
>
> Pour un théorème, on peut imaginer une situation où l'exposé d'un
> théorème serait tellement original qu'il serait une œuvre de l'esprit.
> Mais alors ce serait cette mise en forme et pas l'idée véhiculée par
> le théorème qui serait couverte. En fait ça existe déjà pour tout dire
> : on peut effectuer des démonstrations par ordinateur (un des
> logiciels les plus importants au monde est libre et s'appelle Coq,
> issu au départ de l'INRIA Rocquencourt et du LRI d'Orsay) : ces
> démonstrations prennent la forme de programmes, de sorte que *ces
> versions* des théorèmes et de leurs preuves sont couvertes par le
> droit d'auteur.
>
> david
Cela n'est pas contradictoire avec mon propos: je n'ai pas dit que les
théorèmes/algorithmes n'étaient pas protégés par le droit d'auteur, j'ai
dit qu'ils n'étaient pas brevetables. Micro$oft n'a pas pu par exemple
breveter le concept de logiciel d'écriture (word); ce qui a permis
l'émergence d'une solution alternative. En revanche, ils ont pu
restreindre l'utilisation de *leur* logiciel.
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ